Finalement, l'attendu IE9 est aussi en retard sur tous les navigateurs actuels que IE8 à sa sortie sur les navigateurs de l'époque.

Voici ce qu'en pense un gars de chez Mozilla : « IE9 n'est pas un navigateur moderne».

Et pour cause : suffit de voir ce qu'il supporte en matière de contenu de pages web :
- selon microsoft : voir là : tout mieux que les autres !
- selon un test indépendant : voir là :
ievsfx

Bon, ben c'est suffisamment clair pour moi : IE9 ne respecte pas les standards web.
Qu'il soit rapide, ok. Qu'il soit mieux qu'IE8, ok. Mais ça reste de la merde.

Après c'est sûr que tous les sites ne vont pas se mettre à utiliser toutes ces technologies du jour au lendemain, mais quand même. Le fait qu'IE ne fasse rien en est même sûrement la cause !

13 commentaires

gravatar
Anonyme a dit :

J'ai pas encore tester IE9 mais c'est négatif envers qui ? Les Webmestres ou bien les utilisateurs Lambda ?

a+

gravatar
Djul a dit :

Les deux : les webmestres car ils ne pourront pas forcément intégrer les fonctionnalités avancées (demande du client "je veux que mon site marche sur IE9") ou devront bidouiller, et les utilisateurs car les sites développés avec les dernières technologies fonctionneront mal.

Le pire c'est que les gens qui utiliserons IE9 seront des gens mal informés, donc ils ne sauront pas que le problème viendra du navigateur et vont blâmer le site et les gars qui l'ont fait.

Au niveau du support des trucs actuels comme xHTML et CSS2 (HTML5 est prévu pour être 100% opérationnel pour 2014) il en est ou le IE9 ?

Je persiste à penser qu'IE, dans toutes ses versions, est une insulte au travail de développeur web.

gravatar
Rolinh a dit :

En même temps, les spécifications du HTML5 sont loin d'être arrêtées...
Et par rapport aux anciens standards, on a enfin IE qui les respecte donc plus besoin de "if IE...".
De toute façon, je ne vais pas faire de site en HTML5 pour mes clients avant que cela soit parfaitement en place. En attendant, je vais rester sur XHTML, CSS2.

gravatar
Le Hollandais Volant a dit :

Moi j'ai déjà largement intégré les CSS3, mais certaines marges fantômes restent avec IE9 (c'est plus rare, mais bon) et les 'text-shadow' - CSS2 au passage - ne marchent pas. Pourtant c'est particulièrement bô.

IE devrait être interdit, c'est clair, mais c'est pas possible… Donc informons nos lecteurs comme on peut.

Le plus grand site du monde le fait, et ça aide : son Chrome prend de l'ampleur, et il respecte les standards, lui.

gravatar
Rolinh a dit :

C'est vrai que CSS3 est un vrai + par rapport à CSS2.

J'avais discuté avec le directeur de Microsoft Suisse lors des Techdays 2010. On devait être autour de mars je pense et donc IE9 n'en était qu'au début de son développement. Il m'avait dit que le but avoué de Microsoft c'était de rattraper le retard sur le navigateur mais pas simplement pour le plaisir d'être conforme aux standards mais surtout car le cloud et les webapps c'est l'avenir et que pour cela il faut un bon navigateur.

gravatar
briced a dit :

Bon, Ie reste toujours aussi mauvais par rapport au standart actuel quoi...
Rien de neuf.

gravatar
qwerty a dit :

de toute façon, IE ne mérite même plus qu'on s'occupe de lui.

gravatar
Guenhwyvar a dit :

Oh, soyez pas mauvaises langues, tous, y'a un domaine où IE 9 est devant Firefox 4 d'après le test : le support de H.264 ! :D

gravatar
Med a dit :

Ça c'est ton avis timo, demande l'avis d'un hackeur ;)

gravatar
Anonyme a dit :

@ Djul:

Les deux : les webmestres car ils ne pourront pas forcément intégrer les fonctionnalités avancées (demande du client "je veux que mon site marche sur IE9")

J'pense surtout que le mot "client" est un très très grand mot... on dis "lecteur" du moins "visiteur"

PS: à titre d'information bien-sure ;-)

gravatar
Guenhwyvar a dit :

Ou alors c'est le client pour qui le développeur travaille…

gravatar
Ly3s a dit :

J'avais ce sentiment là bien avant sa sortie ! micro$oft suxx..

gravatar
Le Hollandais Volant a dit :

@med #9 : à propos de la vulnérabilité ? Oui, les hackers s'en donnent "hacker" joie :)

Mais de nos jours, encore utiliser IE, c'est de la folie : on ne peut pas ne pas être au courant : même Google propose un navigateur, sur sa page d'accueil.
Donc si on se fait hacker à cause d'un IE pourri, c'est vraiment le faire exprès, et ne mérite pas qu'on s'attarde sur leurs cas.

Je sais que c'est méchant, mais quand on me dit "ie plante je peux pas naviguer", je fais installer Opera, Chrome ou Firefox (un navigateur normal) et lui dit "voilà : il vaut mieux utiliser ça".

En général, je n'entend plus les gens se plaindre ensuite.

Les commentaires sont fermés pour cet article